Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8209942

[epsilon] range function for EpsilonTLABElasticity causes compiler warning

    XMLWordPrintable

    Details

    • Subcomponent:
      gc
    • Resolved In Build:
      b10

      Backports

        Description

        Reported by ralf.schmelter@sap.com:

        The flag -XX:EpsilonTLABElasticity (epsilon_globals.hpp, line 77) expects a double value, but uses max_intx in the allowed range. This leads to a truncation warning in the Windows build. If the value should only be guaranteed to be >= 1, then DBL_MAX should have been used instead.

          Attachments

            Issue Links

              Activity

                People

                Assignee:
                mbaesken Matthias Baesken
                Reporter:
                simonis Volker Simonis
                Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                  Dates

                  Created:
                  Updated:
                  Resolved: